---
title: connectGATT()
slug: Web/API/BluetoothDevice/connectGATT
tags:
  - API
  - Method
  - Non-standard
  - Obsolete
  - Reference
  - Web Bluetooth API
  - connectGATT
---
<p>{{APIRef("Bluetooth API")}}{{Non-standard_Header}}{{Obsolete_Header}}</p>

<p>The BluetoothDevice.connectGATT() method returns a {{jsxref("Promise")}} that resolves to an instance of {{DOMxRef("BluetoothGATTRemoteServer")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">instanceOfBluetoothDevice.connectGATT().then(function(BluetoothGATTRemoteServer) { ... })</pre>

<h3 id="Returns">Returns</h3>

<p>A {{JSxRef("Promise")}} that resolves to an instance of {{DOMxRef("BluetoothGATTRemoteServer")}}.</p>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.BluetoothDevice.connectGATT")}}</p>
</div>
